Subject: [Sigtran] Re: Sigtran Digest, Vol 38, Issue 18

From: muare <[email-masked]>
Date: Tue, 26 Jun 2007 00:00:37 +0800

Ali:
    According to my experience,you can add the statistics calculation in
M3UA protocol.
    e.g. when M3UA protocol get the DATA message,just add a global variable
to record it.
    basically every 1 SS7 message should be translated to 1 M3UA message
without bundling or fragment. the bundling and fragment may happen not
frequent.
    so according to this method, you can get a relatively accurate values
about the ss7oip
by  Numbers of M3UA Data messages/ Total Time

B.R.
muare

On 6/24/07, [email-masked] <[email-masked]> wrote:
>
> Send Sigtran mailing list submissions to
>        [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>        https://www1.ietf.org/mailman/listinfo/sigtran
> or, via email, send a message with subject or body 'help' to
>        [email-masked]
>
> You can reach the person managing the list at
>        [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Sigtran digest..."
>
>
> Today's Topics:
>
>   1. SS7oIP rate generated (ali ovaisi)
>   2. Re: SS7oIP rate generated (Brian F. G. Bidulock)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Fri, 22 Jun 2007 11:20:28 -0700 (PDT)
> From: ali ovaisi <[email-masked]>
> Subject: [Sigtran] SS7oIP rate generated
> To: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="iso-8859-1"
>
> Dear Sigtran fellows
>
> I am a student and doing a project related to SS7oIP
>
> To accomplish my project I have to achieve the task that What is the
> SS7oIP rate generated by each of the following protocols for a given VoIP
> traffic.
> M3UA
> M2UA
> M2PA
>
> Need your help and guidance
>
> hope to get reply soon
>
> ali
>
> [email-masked]
>
>
> ---------------------------------
> Luggage? GPS? Comic books?
> Check out fitting  gifts for grads at Yahoo! Search.
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL:
> http://www1.ietf.org/pipermail/sigtran/attachments/20070622/5ed1bb64/attachment.html
>
> ------------------------------
>
> Message: 2
> Date: Fri, 22 Jun 2007 20:21:47 -0600
> From: "Brian F. G. Bidulock" <[email-masked]>
> Subject: Re: [Sigtran] SS7oIP rate generated
> To: ali ovaisi <[email-masked]>
> Cc: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii
>
> ali,
>
> ali ovaisi wrote:                               (Fri, 22 Jun 2007
> 11:20:28)
> >
> >    Dear Sigtran fellows
> >
> >    I am a student and doing a project related to SS7oIP
>
> Then I assume that you might actually want to learn something instead of
> just being told.
>
> >    To  accomplish  my project I have to achieve the task that What is
> the
> >    SS7oIP  rate  generated by each of the following protocols for a
> given
> >    VoIP traffic.
>
> Then I also assume that you do not simply want to be told the answer.
>
> >    M3UA
>
> M3UA carries in it MTP3 messages (see the DATA message description in
> section
> 3 of RFC 4666).  MTP3 messages correspond to regular PSTN (not VoIP)
> telephone
> calls and are either ISUP messages (call control) or TCAP/SCCP messages
> (INAP
> queries, LNP dips, location services).  To understand ISUP messaging
> requires
> understanding how telephone switches communicate with each other for
> making
> telephone calls in the network.  From purely a protocol perspecfic,
> examples
> can be found in any good book written on telecommunications that has at
> least
> a section on SS7.
>
> You will see three books (that are old enough they should be at a library)
> mentioned here:
>
> http://www.openss7.org/faq13.html
>
> There is a tutorial on SS7 that many people recommend here:
>
> http://www.pt.com/tutorials/ss7/
>
> There are better web resources: Google is your friend.
>
> What you need to do is to take the message format for a typical ISUP call
> flow
> IAM, ACM, ANM/CPG, REL, and RLC message and count up the number of bytes
> for
> each and then add in the overhead of the M3UA DATA message.  The IAM is
> difficult as it can contain many optional parameters that depend upon the
> specific country of operation, the features associated with the call, and
> the
> position in the switching hierarchy.  IAM message use to be about 45 bytes
> in Canada back when I used to do network engineering, but LNP and other
> things
> have probably raised that to about 60 bytes.  The other mesages do no
> normally
> carry many optional parameters except the REL.  Note that unsuccessful
> calls
> also use almost as many messages.  All in all the order-of-manitude rule
> of
> thumb used to be to estimate that a call takes 5 messages and that the
> average
> length of the messages is 35 bytes (I can't remember whether that included
> the
> FSN/BSN and RL, I'm pretty sure it did) so about 175 bytes per call.
>
> If you need refined numbers you would have to actually capture SS7 or M3UA
> traffic from a real network and analyze it statistically or using a
> traffic
> model.  Modelling of traffic in a telephone network is an entire field of
> study.
>
> >    M2UA
>
> M2UA carries a little more of the SS7 message in the MAUP data (it
> includes
> FSN/BSN whereas M3UA does not).  FSN/BSN are 2 bytes for each message.
> See section 3 in RFC 3331.
>
>
> >    M2PA
>
> M2PA does not carry FSN/BSN from the SS7 message, but adds its own in the
> User
> Data message whose format is given in section 2.3.1 of RFC 4165.
>
> >    Need your help and guidance
> >    hope to get reply soon
>
> If you need more guidance, I suggest that you consult with the people at
> your learning institution that assigned the project to you.
>
> --brian
>
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
>
>
>
> ------------------------------
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
>
>
> End of Sigtran Digest, Vol 38, Issue 18
> ***************************************
>
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran